summaryrefslogtreecommitdiffstats
path: root/recipes/poptop/files
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/poptop/files
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/poptop/files')
-rwxr-xr-xrecipes/poptop/files/pptpd.init37
1 files changed, 37 insertions, 0 deletions
diff --git a/recipes/poptop/files/pptpd.init b/recipes/poptop/files/pptpd.init
new file mode 100755
index 0000000000..27786cd0c2
--- /dev/null
+++ b/recipes/poptop/files/pptpd.init
@@ -0,0 +1,37 @@
+#! /bin/sh
+
+test -f /usr/sbin/pptpd || exit 0
+test -f /etc/default/pptpd && . /etc/default/pptpd
+
+case $1 in
+ start)
+ echo -n "Starting PPTP server: pptpd"
+ start-stop-daemon --start --quiet --pidfile /var/run/pptpd.pid \
+ --exec /usr/sbin/pptpd
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping PPTP server: pptpd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/pptpd.pid \
+ --exec /usr/sbin/pptpd
+ echo "."
+ ;;
+ status)
+ pid=$(pidof pptpd)
+ if [ -n "$pid" ] ; then
+ echo "Running with pid $pid"
+ else
+ echo "Not running"
+ fi
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: /etc/init.d/pptpd {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0